Jump to content

selvamani

New Members
  • Content count

    5
  • Joined

  • Last visited

Community Reputation

10 Good

About selvamani

  • Rank
    Beverage Operative

My Work

  • Discipline
    Electrical

My Software

  • Main CAD Product
    AutoCAD
  • Current Product Version
    2014
  • First AutoCAD Version
    AutoCAD 2007
  1. selvamani

    Printing Customization

    Thanks bigal, Your Lisp code is awesome & because of more functional requirements we made it in VBA and used GetBoundingBox Method to get boundary of a title block :D
  2. selvamani

    Bounding Box for Selection Set

    this points iam getting from bounding box in main sub i dont know what is happenning i got only empty window as layout but actually points given to setplotwindow is not empty plese help on this code for your reference Sub Example_SetWindowToPlot(point1 As Variant, point2 As Variant) ' This example allows the user to define an area in the current layout ' and displays a plot preview of the defined area. ' ' * Note: You have to exit the ' plot preview before the VBA example will stop and control will be returned AppActivate ThisDrawing.Application.Caption ' Dim point1 As Variant, point2 As Variant ' Get first point in window 'point1 = ThisDrawing.Utility.GetPoint(, "Click the lower-left of the window to plot.") ReDim Preserve point1(0 To 1) ' Change this to a 2D array by removing the Z position ' Get second point in window 'point2 = ThisDrawing.Utility.GetPoint(, "Click the upper-right of the window to plot.") ReDim Preserve point2(0 To 1) ' Change this to a 2D array by removing the Z position ' Send information about window to current layout ThisDrawing.ActiveLayout.SetWindowToPlot point1, point2 ThisDrawing.Plot.DisplayPlotPreview acFullPreview ' Read back window information ThisDrawing.ActiveLayout.GetWindowToPlot point1, point2 MsgBox "Press any key to plot the following window:" & vbCrLf & vbCrLf & _ "Lower Left: " & point1(0) & ", " & point1(1) & vbCrLf & _ "Upper Right: " & point2(0) & ", " & point2(1) ' Be sure to plot a view, not some other plot style ThisDrawing.ActiveLayout.PlotType = acWindow ' Send Plot To Window ThisDrawing.ActiveLayout.ConfigName = "DWG to PDF.pc3" ThisDrawing.Plot.DisplayPlotPreview acFullPreview End Sub
  3. selvamani

    Bounding Box for Selection Set

    thanks BIGAL i need to find specific block which is used multiple times in a cad and and change its attributes values one by one through vba any help on this please
  4. selvamani

    Bounding Box for Selection Set

    your code is awesome is there any way to pass this pt1 & pt2 to plot (window) for printing
  5. selvamani

    Printing Customization

    Hi All, I need help in customizing printing cad files actually in my case single drawing would have multiple sheets in single model space so it will have multiple title block is there any way to print entire region inside title block one by one by means of vba scripting? (i mean is there any way to sense outer boundary of title block in vb and set it as printing area) Having thousands of cad files in which work area in model space of any two drawing is not same thanks in advance Drawing2.dwg
×